
From: Christoph Hellwig <hch@lst.de>

These days <linux/ioctl32.h> handles everything, no need for an asm
header on just two architectures.

Signed-off-by: Christoph Hellwig <hch@lst.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ia64/ia32/ia32_ioctl.c  |    1 -
 include/asm-ia64/ioctl32.h   |    1 -
 include/asm-x86_64/ioctl32.h |    1 -
 3 files changed, 3 deletions(-)

diff -puN arch/ia64/ia32/ia32_ioctl.c~kill-asm-ioctl32h arch/ia64/ia32/ia32_ioctl.c
--- 25/arch/ia64/ia32/ia32_ioctl.c~kill-asm-ioctl32h	2005-05-15 20:43:17.000000000 -0700
+++ 25-akpm/arch/ia64/ia32/ia32_ioctl.c	2005-05-15 20:43:17.000000000 -0700
@@ -13,7 +13,6 @@
   
 #define	INCLUDES
 #include "compat_ioctl.c"
-#include <asm/ioctl32.h>
 
 #define IOCTL_NR(a)	((a) & ~(_IOC_SIZEMASK << _IOC_SIZESHIFT))
 
diff -puN include/asm-ia64/ioctl32.h~kill-asm-ioctl32h include/asm-ia64/ioctl32.h
--- 25/include/asm-ia64/ioctl32.h~kill-asm-ioctl32h	2005-05-15 20:43:17.000000000 -0700
+++ 25-akpm/include/asm-ia64/ioctl32.h	2005-05-15 20:43:17.000000000 -0700
@@ -1 +0,0 @@
-#include <linux/ioctl32.h>
diff -puN include/asm-x86_64/ioctl32.h~kill-asm-ioctl32h include/asm-x86_64/ioctl32.h
--- 25/include/asm-x86_64/ioctl32.h~kill-asm-ioctl32h	2005-05-15 20:43:17.000000000 -0700
+++ 25-akpm/include/asm-x86_64/ioctl32.h	2005-05-15 20:43:17.000000000 -0700
@@ -1 +0,0 @@
-#include <linux/ioctl32.h>
_
